"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
exports.PATH_FOLDER_PROCESS_AUDIO = path.resolve(__dirname, '..', 'audio').replace(/\\/g, '/');
exports.PATH_FOLDER_PROCESS_AUDIO_PLAY = path.resolve(__dirname, '../../', 'server/audio').replace(/\\/g, '/');
exports.PATH_FOLDER_TEMP_AUDIO = path.resolve(__dirname, '..', 'temp-audio').replace(/\\/g, '/');
exports.TRANSCRIPTION_FOLDER = path.resolve(__dirname, '..', 'transcriptions').replace(/\\/g, '/');
exports.SEMANCTIC_ANALYSIS_FOLDER = path.resolve(__dirname, '..', 'semantic-analysis').replace(/\\/g, '/');
exports.COGNITIVE_ANALYSIS_FOLDER = path.resolve(__dirname, '..', 'cognitive-analysis').replace(/\\/g, '/');
exports.SEMANCTIC_ANALYSIS_VIEW_FOLDER = path.resolve(__dirname, '..', 'semantic-analysis-view').replace(/\\/g, '/');
exports.QUERY_FOLDER = path.resolve(__dirname, '..', 'query').replace(/\\/g, '/');
exports.AUDIO_FORMAT = {
    'audio/mpeg': 'mp3',
    'audio/wav': 'wav',
    'audio/x-wav': 'wav',
};
exports.PERSISTENCE = 2 * 24 * 60 * 60;
exports.RATIO_SUPERVISOR = 0;
exports.RATIO_PROCESS = 3;
exports.RATE_RECURSIVE_PROCESS = 4;
exports.RATIO_AUDIO_TRANSFER = 20;
exports.SLEEP_AUDIO_TRANSFER = 5;
exports.RETRY_AUDIO_TRANSFER = 3;
exports.RATE_RECURSIVE_AUDIO_TRANSFER = 4;
exports.RATIO_TRANSCRIPTION = 5;
exports.SLEEP_TRANSCRIPTION = 5;
exports.RETRY_TRANSCRIPTION = 10;
exports.NEXT_EXECUTION_TIME_TRANSCRIPTION = 120000;
exports.RATE_RECURSIVE_TRANSCRIPTION = 4;
exports.RATIO_SEMANTIC_ANALYSIS = 5;
exports.SLEEP_SEMANTIC_ANALYSIS = 5;
exports.RETRY_SEMANTIC_ANALYSIS = 10;
exports.NEXT_EXECUTION_TIME_SEMANTIC_ANALYSIS = 120000;
exports.RATE_RECURSIVE_SEMANTIC_ANALYSIS = 4;
exports.RATIO_SEMANTIC_QUERY = 3;
exports.RATE_RECURSIVE_SEMANTIC_QUERY = 4;
exports.RETRY_SEMANTIC_QUERY = 3;
exports.RATIO_COGNITIVE_ANALYSIS = 3;
exports.RATE_RECURSIVE_COGNITIVE_ANALYSIS = 3;
exports.RETRY_COGNITIVE_ANALYSIS = 10;
exports.MIN_VALUE = 0;
exports.SPEECHMATICS_IP = '';
exports.SPEECHMATICS_PORT = '';
exports.IDATHA_USER = '';
exports.IDATHA_PASSWORD = '';
exports.IDATHA_IP = '';
exports.IDATHA_HTTP_PORT = '';
exports.IDATHA_SSH_PORT = '';
exports.TRANSCRIPTION_LANGUAGE = 'es';
exports.RATIO = 5;
exports.INTERVAL = 5;
exports.PHRASE_MAX_LENGTH = 500;
exports.PROCESS_FOLDER = 'process';
exports.PROCESS_TEMP_PREFIX = 'temp';
exports.PROCESS_TEMP_FOLDER = 'temp';
exports.PROCESS_PATH = path.resolve(__dirname, '..', exports.PROCESS_FOLDER);
exports.TEMP_PATH = path.resolve(__dirname, '..', exports.PROCESS_TEMP_FOLDER);
exports.PROCESS_TEMP_PATH = path.resolve(exports.TEMP_PATH, exports.PROCESS_FOLDER);
exports.FTP_CONNECTION_TIMEOUT = 30000;
exports.PROCESS_DOWNLOAD_PREFIX = 'download';
exports.VIEWS_FOLDER = 'views';
exports.PROCESS_VIEWS_PATH = path.resolve(__dirname, '..', exports.PROCESS_FOLDER, exports.VIEWS_FOLDER);
exports.SPEECHMATICS_FILES_AMOUNT = 5;
exports.IDATHA_QUERY_ID_EXPIRATION = 58;
exports.PROCESS_ID_LENGTH = 50;
exports.STUDY_ID_LENGTH = 200;
exports.REALM_USER_NAME = '';
exports.REALM_PASSWORD = '';
exports.THRESHOLD = 0.00000005;
exports.COGNITIVE_SERVICES_ENGINE = 'LUIS';
exports.LUIS_URL = '';
exports.LUIS_URL_STUDY = '';
exports.QUALITY_AUDIO_BASE_URL = process.env.QUALITY_AUDIO_URL ? process.env.QUALITY_AUDIO_URL : '';
exports.QUALITY_MAIL_BASE_URL = process.env.QUALITY_MAIL_BASE_URL ? process.env.QUALITY_MAIL_BASE_URL : '';
exports.QUALITY_TEXT_BASE_URL = process.env.QUALITY_TEXT_URL ? process.env.QUALITY_TEXT_URL : '';
exports.QUALITY_TEXT_PRIVATE_BASE_URL = process.env.QUALITY_TEXT_PRIVATE_BASE_URL ? process.env.QUALITY_TEXT_PRIVATE_BASE_URL : '';
exports.INCONCERT_APPS_BASE_URL = '';
exports.LICENSE_FOLDER = 'license';
exports.LICENSE_TEMP_PREFIX = 'temp';
exports.LICENSE_TEMP_PATH = path.resolve(__dirname, '..', exports.LICENSE_FOLDER);
