"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AccountMSSql = require("./mssql/account.mssql");
var AccountBalanceMSSql = require("./mssql/accountBalance.mssql");
var AccountVccMSSql = require("./mssql/accountVcc.mssql");
var AuthMSSql = require("./mssql/auth.mssql");
var DomainMSSql = require("./mssql/domain.mssql");
var VCCMSSql = require("./mssql/vcc.mssql");
var HomeMSSql = require("./mssql/home.mssql");
var NotificationMSSql = require("./mssql/notification.mssql");
var RoleMSSql = require("./mssql/role.mssql");
var UserMSSql = require("./mssql/user.mssql");
var EnvironmentMSSql = require("./mssql/platform.mssql");
var IntegrationMSSql = require("./mssql/integration.mssql");
var LicenseMSSql = require("./mssql/license.mssql");
var PlatformMSSql = require("./mssql/platform.mssql");
var PlatformDataMSSql = require("./mssql/platformData.mssql");
var PlatformLicenseMSSql = require("./mssql/platformLicense.mssql");
var ClientMSSql = require("./mssql/client.mssql");
var MSSql = {};
exports.MSSql = MSSql;
Object.assign(MSSql, AccountMSSql, AccountBalanceMSSql, AccountVccMSSql, AuthMSSql, DomainMSSql, VCCMSSql, HomeMSSql, NotificationMSSql, RoleMSSql, UserMSSql, EnvironmentMSSql, IntegrationMSSql, LicenseMSSql, PlatformMSSql, PlatformDataMSSql, PlatformLicenseMSSql, ClientMSSql);
